Bug 416991 - Checking password, evolution freezes
Checking password, evolution freezes
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
: 418971 426513 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-12-08 21:23 EST by sangu
Modified: 2015-03-03 17:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-13 11:26:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 502603 None None None Never

  None (edit)
Description sangu 2007-12-08 21:23:50 EST
Description of problem:
$gdb evoluton "process number"
(gdb) bt
#0  0x0012d402 in __kernel_vsyscall ()
#1  0x0040152b in read () from /lib/libpthread.so.0
#2  0x07221fd0 in read_all (fd=81, buf=0xb7f6bcf0 "", len=4)
    at /usr/include/bits/unistd.h:45
#3  0x07223398 in run_sync_operation (buffer=0xbff227f4, 
    receive_buffer=0xbff227e0) at gnome-keyring.c:652
#4  0x0722380e in gnome_keyring_find_items_sync (
    type=GNOME_KEYRING_ITEM_NETWORK_PASSWORD, attributes=0x886c418, 
    found=0xbff22878) at gnome-keyring.c:2148
#5  0x0036c466 in ep_get_password (msg=0xb523f380) at e-passwords.c:702
#6  0x0036bfc5 in ep_idle_dispatch (data=0x0) at e-passwords.c:237
#7  0x01072541 in g_idle_dispatch (source=0xb4bcaef0, callback=0x4, 
    user_data=0x0) at gmain.c:4132
#8  0x0107410c in IA__g_main_context_dispatch (context=0x8214cf8)
    at gmain.c:2061
#9  0x0107754f in g_main_context_iterate (context=0x8214cf8, block=1, 
    dispatch=1, self=0x81e96c8) at gmain.c:2694
#10 0x010778f9 in IA__g_main_loop_run (loop=0x8232d48) at gmain.c:2898
#11 0x008a4813 in bonobo_main () at bonobo-main.c:311
#12 0x0805e6f1 in main (argc=2, argv=0xbff22c24) at main.c:602
#13 0x04e38390 in __libc_start_main (main=0x805e340 <main>, argc=2, 
    ubp_av=0xbff22c24, init=0x805eee0 <__libc_csu_init>, 
    fini=0x805eed0 <__libc_csu_fini>, rtld_fini=0x11e940 <_dl_fini>, 
---Type <return> to continue, or q <return> to quit---
    stack_end=0xbff22c1c) at libc-start.c:220
#14 0x0804f671 in _start ()

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  launch evolution
2. click F9
Actual results:
evo freezes

Expected results:
mail checking work well.

Additional info:
Comment 1 sangu 2007-12-11 18:40:28 EST
Upstreamed bug : http://bugzilla.gnome.org/show_bug.cgi?id=502603

duplicated bug 418971 ?

This bug doesn't happen in gnome-keyring-2.20.2-2.fc9.
Comment 2 Matthew Barnes 2007-12-21 12:18:42 EST
*** Bug 418971 has been marked as a duplicate of this bug. ***
Comment 3 Matthew Barnes 2007-12-21 12:19:04 EST
*** Bug 426513 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.